As of ~oasis4 this library should work from the toplevel.